## gov.usgs.earthquake.event
Interface EventInfo

All Known Implementing Classes:
  DefaultEventInfo, JsonEventInfo

    public interface EventInfo

Method Summary
`java.math.BigDecimal` `getDepth()`
`EventId` `getEventId()`
`java.math.BigDecimal` `getLatitude()`
`java.math.BigDecimal` `getLongitude()`
`java.math.BigDecimal` `getMagnitude()`
`java.util.Date` `getTime()`

Method Detail

### getEventId

    EventId getEventId()

### getMagnitude

    java.math.BigDecimal getMagnitude()

### getDepth

    java.math.BigDecimal getDepth()

### getLatitude

    java.math.BigDecimal getLatitude()

### getLongitude

    java.math.BigDecimal getLongitude()

### getTime

    java.util.Date getTime()